
from qt import *
from contrastdialogbase import ContrastDialogBase

class ContrastDialog(ContrastDialogBase):

    def __init__(self, *args):
        ContrastDialogBase.__init__(self, *args)


    def calcCurve(self):
        curve = []

        p1 = QPoint(0, 0 + self.brightnessSlider.value() - self.contrastSlider.value())
        p2 = QPoint(256, 256 + self.brightnessSlider.value() + self.contrastSlider.value())

        m = float(p1.y() - p2.y()) / float(p1.x() - p2.x())

        for i in range(256):    # (int i = 0; i < 256; ++i) {
            curve.append(min(255, max(0, int(i * m) + p1.y())))

        self.emit(PYSIGNAL("curveChanged"), (curve,))


    def showEvent(self, ev):
        self.brightnessSlider.setValue(0)
        self.contrastSlider.setValue(0)
