
from qt import *
from valuedialogbase import ValueDialogBase
from math import ceil

class ValueDialog(ValueDialogBase):

    def __init__(self, *args):
        ValueDialogBase.__init__(self, *args)


    def calcCurve(self):
        curve = []

        p1 = QPoint(self.beginSlider.value(),0)
        p2 = QPoint(self.endSlider.value(),256)

        m = float(p1.y() - p2.y()) / float(p1.x() - p2.x())
        b = p1.y() - (int(ceil(m * p1.x()-0.5)))

        for i in range(256):
            curve.append(min(255, max(0, int(i * m) + b)))

        self.emit(PYSIGNAL("curveChanged"), (curve,))


    def showEvent(self, ev):
        self.beginSlider.setValue(0)
        self.endSlider.setValue(256)

